Subject: Re: [PATCH v2 0/6] Fix GIT_TEST_SPLIT_INDEX

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 Aug 2021 10:38:59 -0700

Derrick Stolee <[email-masked]> writes:

> On 8/26/2021 4:59 PM, SZEDER Gábor wrote:
>> To recap from v1's cover letter:
>> 
>> Running tests with GIT_TEST_SPLIT_INDEX=1 is supposed to turn on the
>> split index feature and trigger index splitting (mostly) randomly.
>> Alas, this has been broken for ~2.5 years, and it hasn't triggered any
>> index splitting since then.
>> 
>> The last patch in this series makes GIT_TEST_SPLIT_INDEX=1 work again,
>> although it slightly changes its behavior; see its log message for all
>> the details.
>
> I checked the range-diff and reread the patches. This version looks
> good to me. Thanks for pointing out the new failures that were
> happening in my patches. I think I fixed them in my latest versions
> of the sparse-index work, so the latest 'seen' should pass with these
> changes to GIT_TEST_SPLIT_INDEX.
>
> Thanks,
> -Stolee

This, at least the t7519-status-fsmonitor.sh part, seems to depend
on the 'ds/sparse-index-ignored-files' topic, so I'll prepare a
merge of the topic on top of 'master' then queue these with your
Acked-by.

Thanks, both.